Mageia 2022-0299: ldb/samba/sssd security update | LinuxSecurity.com
MGASA-2022-0299 - Updated ldb/samba/sssd packages fix security vulnerability

Publication date: 25 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0299.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-2031,
     CVE-2022-32742,
     CVE-2022-32744,
     CVE-2022-32745,
     CVE-2022-32746

Fixed AD restrictions bypass associated with changing passwords
(bsc#1201495). (CVE-2022-2031)
Fixed a memory leak in SMB1 (bsc#1201496). (CVE-2022-32742)
Fixed an arbitrary password change request for any AD  user (bsc#1201493).
(CVE-2022-32744)
Fixed a remote server crash with an LDAP add or modify request
(bsc#1201492) (CVE-2022-32745)
Fixed a use-after-free occurring in database audit logging (bsc#1201490).
(CVE-2022-32746)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30675
- https://www.samba.org/samba/security/CVE-2022-2031.html
- https://www.samba.org/samba/security/CVE-2022-32742.html
- https://www.samba.org/samba/security/CVE-2022-32744.html
- https://www.samba.org/samba/security/CVE-2022-32745.html
- https://www.samba.org/samba/security/CVE-2022-32746.html
- https://lists.opensuse.org/archives/list/[email protected]/thread/CKTUJ63ZYTQNYFNRWGXIE3KBEFGJXGJL/
- https://ubuntu.com/security/notices/USN-5542-1
- https://www.debian.org/security/2022/dsa-5205
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/2RORIRLFLRNQOCVXQU4V3RLZ5C2G75L2/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2031
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32742
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32744
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32745
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32746

SRPMS:
- 8/core/ldb-2.3.4-1.mga8
- 8/core/samba-4.14.14-1.mga8
- 8/core/sssd-2.4.0-1.4.mga8

Mageia 2022-0299: ldb/samba/sssd security update

Fixed AD restrictions bypass associated with changing passwords (bsc#1201495)

Summary

Fixed AD restrictions bypass associated with changing passwords (bsc#1201495). (CVE-2022-2031) Fixed a memory leak in SMB1 (bsc#1201496). (CVE-2022-32742) Fixed an arbitrary password change request for any AD user (bsc#1201493). (CVE-2022-32744) Fixed a remote server crash with an LDAP add or modify request (bsc#1201492) (CVE-2022-32745) Fixed a use-after-free occurring in database audit logging (bsc#1201490). (CVE-2022-32746)

References

- https://bugs.mageia.org/show_bug.cgi?id=30675

- https://www.samba.org/samba/security/CVE-2022-2031.html

- https://www.samba.org/samba/security/CVE-2022-32742.html

- https://www.samba.org/samba/security/CVE-2022-32744.html

- https://www.samba.org/samba/security/CVE-2022-32745.html

- https://www.samba.org/samba/security/CVE-2022-32746.html

- https://lists.opensuse.org/archives/list/[email protected]/thread/CKTUJ63ZYTQNYFNRWGXIE3KBEFGJXGJL/

- https://ubuntu.com/security/notices/USN-5542-1

- https://www.debian.org/security/2022/dsa-5205

- https://lists.fedoraproject.org/archives/list/[email protected]/thread/2RORIRLFLRNQOCVXQU4V3RLZ5C2G75L2/

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2031

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32742

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32744

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32745

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-32746

Resolution

MGASA-2022-0299 - Updated ldb/samba/sssd packages fix security vulnerability

SRPMS

- 8/core/ldb-2.3.4-1.mga8

- 8/core/samba-4.14.14-1.mga8

- 8/core/sssd-2.4.0-1.4.mga8

Severity
Publication date: 25 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0299.html
Type: security
CVE: CVE-2022-2031, CVE-2022-32742, CVE-2022-32744, CVE-2022-32745, CVE-2022-32746

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.